Package MNP

# Class EtudiantNP

java.lang.Object
MNP.EtudiantNP

All Implemented Interfaces:
  `Etudiant`, `MonPrint`

public class EtudiantNP extends Object implements Etudiant
Un étudiant

## Constructor Summary

Constructors
Constructor
Description
`EtudiantNP(String nom, String prenom, int groupe)`
Constructeur.

## Method Summary

Modifier and Type
Method
Description
`int`
`getGroupe()`
Ajout de l'equipe pour recuperer son groupe
`int`
`getId()`
permet de récupérer l'identifiant de l'étudiant.
`String`
`getNom()`
permet de récupérer
`String`
`getPrenom()`
permet de récupérer

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface API.Etudiant

`monPrint`

## Constructor Details

### EtudiantNP

public EtudiantNP(String nom, String prenom, int groupe)
Constructeur. (modification apporter par le groupe pour accueillir un nouveau parametre : groupe)

## Method Details

### getId

public int getId()
permet de récupérer l'identifiant de l'étudiant.

Specified by:
  `getId` in interface `Etudiant`
Returns:
  l'identifiant.

### getNom

public String getNom()
permet de récupérer

Specified by:
  `getNom` in interface `Etudiant`
Returns:
  le nom de l'étudiant.

### getPrenom

public String getPrenom()
permet de récupérer

Specified by:
  `getPrenom` in interface `Etudiant`
Returns:
  le prénom de l'étudiant

### getGroupe

public int getGroupe()
Ajout de l'equipe pour recuperer son groupe

Specified by:
  `getGroupe` in interface `Etudiant`
Returns:
  Le groupe en entier